----------------------------------------------------
-- 此文件由数据工具生成
-- 冒险矿战--adventure_mine_data.xml
--------------------------------------

Config = Config or {} 
Config.AdventureMineData = Config.AdventureMineData or {}

-- -------------------const_start-------------------
Config.AdventureMineData.data_const_length = 16
Config.AdventureMineData.data_const = {
	["max_grouping"] = {val=35, desc="分组人数"},
	["merge_grouping"] = {val=20, desc="分组时若最后一组小于此值，则并入上一组"},
	["combat_limit"] = {val=200, desc="新加入分组所需战力差（千分比）"},
	["free_attack"] = {val=5, desc="免费进攻次数"},
	["diamond_attack"] = {val=12, desc="付费进攻次数"},
	["diamond_cost"] = {val=50, desc="花费钻石数"},
	["rob_number"] = {val=3, desc="可掠夺次数"},
	["max_insert"] = {val=10, desc="插入上限"},
	["protect_time"] = {val=30, desc="保护时间（分钟）"},
	["reward_time"] = {val=1, desc="产出间隔时间（分钟）"},
	["primary_time"] = {val=60, desc="初级矿工延长时间（分钟）"},
	["senior_time"] = {val=120, desc="高级矿工延长时间（分钟）"},
	["primary_count"] = {val=4, desc="初级矿工可购买次数"},
	["senior_count"] = {val=4, desc="高级矿工可购买次数"},
	["reserve_robot"] = {val=22000, desc="备用机器人"},
	["count_down"] = {val=40, desc="占领倒计时（秒）"}
}
Config.AdventureMineData.data_const_fun = function(key)
	local data=Config.AdventureMineData.data_const[key]
	if DATA_DEBUG and data == nil then
		print('(Config.AdventureMineData.data_const['..key..'])not found') return
	end
	return data
end
-- -------------------const_end---------------------


-- -------------------floor_data_start-------------------
Config.AdventureMineData.data_floor_data_length = 10
Config.AdventureMineData.data_floor_data = {
	[10] = {floor=10, name="水晶秘境1层", min_produce={{32,5}}},
	[20] = {floor=20, name="水晶秘境2层", min_produce={{32,6}}},
	[30] = {floor=30, name="水晶秘境3层", min_produce={{32,7}}},
	[40] = {floor=40, name="水晶秘境4层", min_produce={{32,8}}},
	[50] = {floor=50, name="水晶秘境5层", min_produce={{32,9}}},
	[60] = {floor=60, name="水晶秘境6层", min_produce={{32,10}}},
	[70] = {floor=70, name="水晶秘境7层", min_produce={{32,11}}},
	[80] = {floor=80, name="水晶秘境8层", min_produce={{32,12}}},
	[90] = {floor=90, name="水晶秘境9层", min_produce={{32,13}}},
	[100] = {floor=100, name="水晶秘境10层", min_produce={{32,14}}}
}
Config.AdventureMineData.data_floor_data_fun = function(key)
	local data=Config.AdventureMineData.data_floor_data[key]
	if DATA_DEBUG and data == nil then
		print('(Config.AdventureMineData.data_floor_data['..key..'])not found') return
	end
	return data
end
-- -------------------floor_data_end---------------------


-- -------------------mine_data_start-------------------
Config.AdventureMineData.data_mine_data_length = 90
Config.AdventureMineData.data_mine_data_cache = {}
Config.AdventureMineData.data_mine_data = function(key)
	if Config.AdventureMineData.data_mine_data_cache[key] == nil then
		local base = Config.AdventureMineData.data_mine_data_table[key]
		if not base then return end
		base = loadstring(string.format('return %s',base))()
		if not base then return end
		Config.AdventureMineData.data_mine_data_cache[key] = {
			id = base[1],
			name = base[2],
			star = base[3],
			pos = base[4],
			base_items = base[5],
			hook_items = base[6],
			robot_power = base[7],
			units = base[8],
			robot_power_repair = base[9],
			robot_lev = base[10],
			robot_name = base[11],
			max_time = base[12],
			primary_loss = base[13],
			senior_loss = base[14],
			res_id = base[15],
		}
	end
	return Config.AdventureMineData.data_mine_data_cache[key] 
end
Config.AdventureMineData.data_mine_data_table = {
	[110031] = [[{110031, "十星极品灵矿", 10, {13}, {{32,280}}, {{32,28}}, 6178175, {{22505,100},{22506,100},{22507,100},{22508,100},{22509,100},{22510,100}}, {{800,1200}}, {{460,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1003"}]],
	[110023] = [[{110023, "十星良品灵矿", 10, {18}, {{32,250}}, {{32,25}}, 5253300, {{22474,100},{22475,100},{22476,100},{22477,100},{22478,100},{22479,100},{22480,100},{22481,100}}, {{800,1200}}, {{420,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1002"}]],
	[110022] = [[{110022, "十星良品灵矿", 10, {9}, {{32,250}}, {{32,25}}, 5253300, {{22474,100},{22475,100},{22476,100},{22477,100},{22478,100},{22479,100},{22480,100},{22481,100}}, {{800,1200}}, {{420,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1002"}]],
	[110021] = [[{110021, "十星良品灵矿", 10, {7}, {{32,250}}, {{32,25}}, 5253300, {{22474,100},{22475,100},{22476,100},{22477,100},{22478,100},{22479,100},{22480,100},{22481,100}}, {{800,1200}}, {{420,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1002"}]],
	[110015] = [[{110015, "十星凡品灵矿", 10, {25}, {{32,140}}, {{32,14}}, 3866045, {{22461,100},{22462,100},{22463,100},{22464,100},{22465,100},{22466,100},{22467,100},{22468,100},{22469,100}}, {{800,1200}}, {{360,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1001"}]],
	[110014] = [[{110014, "十星凡品灵矿", 10, {21}, {{32,140}}, {{32,14}}, 3866045, {{22461,100},{22462,100},{22463,100},{22464,100},{22465,100},{22466,100},{22467,100},{22468,100},{22469,100}}, {{800,1200}}, {{360,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1001"}]],
	[110013] = [[{110013, "十星凡品灵矿", 10, {5}, {{32,140}}, {{32,14}}, 3866045, {{22461,100},{22462,100},{22463,100},{22464,100},{22465,100},{22466,100},{22467,100},{22468,100},{22469,100}}, {{800,1200}}, {{360,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1001"}]],
	[110012] = [[{110012, "十星凡品灵矿", 10, {3}, {{32,140}}, {{32,14}}, 3866045, {{22461,100},{22462,100},{22463,100},{22464,100},{22465,100},{22466,100},{22467,100},{22468,100},{22469,100}}, {{800,1200}}, {{360,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1001"}]],
	[110011] = [[{110011, "十星凡品灵矿", 10, {1}, {{32,140}}, {{32,14}}, 3866045, {{22461,100},{22462,100},{22463,100},{22464,100},{22465,100},{22466,100},{22467,100},{22468,100},{22469,100}}, {{800,1200}}, {{360,0,0}}, "灵矿守护者", 720, {{1,300000}}, {{3,15}}, "1001"}]],
	[109031] = [[{109031, "九星极品灵矿", 9, {13}, {{32,260}}, {{32,26}}, 5253300, {{22454,100},{22455,100},{22456,100},{22457,100},{22458,100},{22459,100}}, {{800,1200}}, {{420,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1003"}]],
	[109023] = [[{109023, "九星良品灵矿", 9, {18}, {{32,230}}, {{32,23}}, 4328505, {{22433,100},{22434,100},{22435,100},{22436,100},{22437,100},{22438,100},{22439,100}}, {{800,1200}}, {{380,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1002"}]],
	[109022] = [[{109022, "九星良品灵矿", 9, {9}, {{32,230}}, {{32,23}}, 4328505, {{22433,100},{22434,100},{22435,100},{22436,100},{22437,100},{22438,100},{22439,100}}, {{800,1200}}, {{380,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1002"}]],
	[109021] = [[{109021, "九星良品灵矿", 9, {7}, {{32,230}}, {{32,23}}, 4328505, {{22433,100},{22434,100},{22435,100},{22436,100},{22437,100},{22438,100},{22439,100}}, {{800,1200}}, {{380,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1002"}]],
	[109015] = [[{109015, "九星凡品灵矿", 9, {25}, {{32,130}}, {{32,13}}, 3172460, {{22410,100},{22411,100},{22412,100},{22413,100},{22414,100},{22415,100},{22416,100},{22417,100}}, {{800,1200}}, {{330,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1001"}]],
	[109014] = [[{109014, "九星凡品灵矿", 9, {21}, {{32,130}}, {{32,13}}, 3172460, {{22410,100},{22411,100},{22412,100},{22413,100},{22414,100},{22415,100},{22416,100},{22417,100}}, {{800,1200}}, {{330,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1001"}]],
	[109013] = [[{109013, "九星凡品灵矿", 9, {5}, {{32,130}}, {{32,13}}, 3172460, {{22410,100},{22411,100},{22412,100},{22413,100},{22414,100},{22415,100},{22416,100},{22417,100}}, {{800,1200}}, {{330,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1001"}]],
	[109012] = [[{109012, "九星凡品灵矿", 9, {3}, {{32,130}}, {{32,13}}, 3172460, {{22410,100},{22411,100},{22412,100},{22413,100},{22414,100},{22415,100},{22416,100},{22417,100}}, {{800,1200}}, {{330,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1001"}]],
	[109011] = [[{109011, "九星凡品灵矿", 9, {1}, {{32,130}}, {{32,13}}, 3172460, {{22410,100},{22411,100},{22412,100},{22413,100},{22414,100},{22415,100},{22416,100},{22417,100}}, {{800,1200}}, {{330,0,0}}, "灵矿守护者", 720, {{1,280000}}, {{3,15}}, "1001"}]],
	[108031] = [[{108031, "八星极品灵矿", 8, {13}, {{32,240}}, {{32,24}}, 4328505, {{22402,100},{22403,100},{22404,100},{22405,100},{22406,100},{22407,100}}, {{800,1200}}, {{380,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1003"}]],
	[108023] = [[{108023, "八星良品灵矿", 8, {18}, {{32,210}}, {{32,21}}, 3403610, {{22371,100},{22372,100},{22373,100},{22374,100},{22375,100},{22376,100},{22377,100}}, {{800,1200}}, {{340,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1002"}]],
	[108022] = [[{108022, "八星良品灵矿", 8, {9}, {{32,210}}, {{32,21}}, 3403610, {{22371,100},{22372,100},{22373,100},{22374,100},{22375,100},{22376,100},{22377,100}}, {{800,1200}}, {{340,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1002"}]],
	[108021] = [[{108021, "八星良品灵矿", 8, {7}, {{32,210}}, {{32,21}}, 3403610, {{22371,100},{22372,100},{22373,100},{22374,100},{22375,100},{22376,100},{22377,100}}, {{800,1200}}, {{340,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1002"}]],
	[108015] = [[{108015, "八星凡品灵矿", 8, {25}, {{32,120}}, {{32,12}}, 2709970, {{22358,100},{22359,100},{22360,100},{22361,100},{22362,100},{22363,100},{22364,100},{22365,100},{22366,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1001"}]],
	[108014] = [[{108014, "八星凡品灵矿", 8, {21}, {{32,120}}, {{32,12}}, 2709970, {{22358,100},{22359,100},{22360,100},{22361,100},{22362,100},{22363,100},{22364,100},{22365,100},{22366,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1001"}]],
	[108013] = [[{108013, "八星凡品灵矿", 8, {5}, {{32,120}}, {{32,12}}, 2709970, {{22358,100},{22359,100},{22360,100},{22361,100},{22362,100},{22363,100},{22364,100},{22365,100},{22366,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1001"}]],
	[108012] = [[{108012, "八星凡品灵矿", 8, {3}, {{32,120}}, {{32,12}}, 2709970, {{22358,100},{22359,100},{22360,100},{22361,100},{22362,100},{22363,100},{22364,100},{22365,100},{22366,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1001"}]],
	[108011] = [[{108011, "八星凡品灵矿", 8, {1}, {{32,120}}, {{32,12}}, 2709970, {{22358,100},{22359,100},{22360,100},{22361,100},{22362,100},{22363,100},{22364,100},{22365,100},{22366,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,260000}}, {{3,15}}, "1001"}]],
	[107031] = [[{107031, "七星极品灵矿", 7, {13}, {{32,220}}, {{32,22}}, 3403610, {{22350,100},{22351,100},{22352,100},{22353,100},{22354,100},{22355,100}}, {{800,1200}}, {{340,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1003"}]],
	[107023] = [[{107023, "七星良品灵矿", 7, {18}, {{32,190}}, {{32,19}}, 2709970, {{22319,100},{22320,100},{22321,100},{22322,100},{22323,100},{22324,100},{22325,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1002"}]],
	[107022] = [[{107022, "七星良品灵矿", 7, {9}, {{32,190}}, {{32,19}}, 2709970, {{22319,100},{22320,100},{22321,100},{22322,100},{22323,100},{22324,100},{22325,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1002"}]],
	[107021] = [[{107021, "七星良品灵矿", 7, {7}, {{32,190}}, {{32,19}}, 2709970, {{22319,100},{22320,100},{22321,100},{22322,100},{22323,100},{22324,100},{22325,100}}, {{800,1200}}, {{310,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1002"}]],
	[107015] = [[{107015, "七星凡品灵矿", 7, {25}, {{32,110}}, {{32,11}}, 2016400, {{22306,100},{22307,100},{22308,100},{22309,100},{22310,100},{22311,100},{22312,100}}, {{800,1200}}, {{280,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1001"}]],
	[107014] = [[{107014, "七星凡品灵矿", 7, {21}, {{32,110}}, {{32,11}}, 2016400, {{22306,100},{22307,100},{22308,100},{22309,100},{22310,100},{22311,100},{22312,100}}, {{800,1200}}, {{280,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1001"}]],
	[107013] = [[{107013, "七星凡品灵矿", 7, {5}, {{32,110}}, {{32,11}}, 2016400, {{22306,100},{22307,100},{22308,100},{22309,100},{22310,100},{22311,100},{22312,100}}, {{800,1200}}, {{280,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1001"}]],
	[107012] = [[{107012, "七星凡品灵矿", 7, {3}, {{32,110}}, {{32,11}}, 2016400, {{22306,100},{22307,100},{22308,100},{22309,100},{22310,100},{22311,100},{22312,100}}, {{800,1200}}, {{280,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1001"}]],
	[107011] = [[{107011, "七星凡品灵矿", 7, {1}, {{32,110}}, {{32,11}}, 2016400, {{22306,100},{22307,100},{22308,100},{22309,100},{22310,100},{22311,100},{22312,100}}, {{800,1200}}, {{280,0,0}}, "灵矿守护者", 720, {{1,230000}}, {{3,15}}, "1001"}]],
	[106031] = [[{106031, "六星极品灵矿", 6, {13}, {{32,200}}, {{32,20}}, 2478825, {{22299,100},{22300,100},{22301,100},{22302,100},{22303,100},{22304,100}}, {{800,1200}}, {{300,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1003"}]],
	[106023] = [[{106023, "六星良品灵矿", 6, {18}, {{32,170}}, {{32,17}}, 1785175, {{22268,100},{22269,100},{22270,100},{22271,100},{22272,100},{22273,100},{22274,100}}, {{800,1200}}, {{270,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1002"}]],
	[106022] = [[{106022, "六星良品灵矿", 6, {9}, {{32,170}}, {{32,17}}, 1785175, {{22268,100},{22269,100},{22270,100},{22271,100},{22272,100},{22273,100},{22274,100}}, {{800,1200}}, {{270,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1002"}]],
	[106021] = [[{106021, "六星良品灵矿", 6, {7}, {{32,170}}, {{32,17}}, 1785175, {{22268,100},{22269,100},{22270,100},{22271,100},{22272,100},{22273,100},{22274,100}}, {{800,1200}}, {{270,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1002"}]],
	[106015] = [[{106015, "六星凡品灵矿", 6, {25}, {{32,100}}, {{32,10}}, 1268390, {{22255,100},{22256,100},{22257,100},{22258,100},{22259,100},{22260,100},{22261,100},{22262,100}}, {{800,1200}}, {{240,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1001"}]],
	[106014] = [[{106014, "六星凡品灵矿", 6, {21}, {{32,100}}, {{32,10}}, 1268390, {{22255,100},{22256,100},{22257,100},{22258,100},{22259,100},{22260,100},{22261,100},{22262,100}}, {{800,1200}}, {{240,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1001"}]],
	[106013] = [[{106013, "六星凡品灵矿", 6, {5}, {{32,100}}, {{32,10}}, 1268390, {{22255,100},{22256,100},{22257,100},{22258,100},{22259,100},{22260,100},{22261,100},{22262,100}}, {{800,1200}}, {{240,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1001"}]],
	[106012] = [[{106012, "六星凡品灵矿", 6, {3}, {{32,100}}, {{32,10}}, 1268390, {{22255,100},{22256,100},{22257,100},{22258,100},{22259,100},{22260,100},{22261,100},{22262,100}}, {{800,1200}}, {{240,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1001"}]],
	[106011] = [[{106011, "六星凡品灵矿", 6, {1}, {{32,100}}, {{32,10}}, 1268390, {{22255,100},{22256,100},{22257,100},{22258,100},{22259,100},{22260,100},{22261,100},{22262,100}}, {{800,1200}}, {{240,0,0}}, "灵矿守护者", 720, {{1,210000}}, {{3,15}}, "1001"}]],
	[105031] = [[{105031, "五星极品灵矿", 5, {13}, {{32,180}}, {{32,18}}, 1553935, {{22247,100},{22248,100},{22249,100},{22250,100},{22251,100},{22252,100},{22253,100}}, {{800,1200}}, {{260,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1003"}]],
	[105023] = [[{105023, "五星良品灵矿", 5, {18}, {{32,150}}, {{32,15}}, 1218330, {{22217,100},{22218,100},{22219,100},{22220,100},{22221,100},{22222,100},{22223,100},{22224,100},{22225,100}}, {{800,1200}}, {{230,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1002"}]],
	[105022] = [[{105022, "五星良品灵矿", 5, {9}, {{32,150}}, {{32,15}}, 1218330, {{22217,100},{22218,100},{22219,100},{22220,100},{22221,100},{22222,100},{22223,100},{22224,100},{22225,100}}, {{800,1200}}, {{230,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1002"}]],
	[105021] = [[{105021, "五星良品灵矿", 5, {7}, {{32,150}}, {{32,15}}, 1218330, {{22217,100},{22218,100},{22219,100},{22220,100},{22221,100},{22222,100},{22223,100},{22224,100},{22225,100}}, {{800,1200}}, {{230,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1002"}]],
	[105015] = [[{105015, "五星凡品灵矿", 5, {25}, {{32,90}}, {{32,9}}, 1079680, {{22204,100},{22205,100},{22206,100},{22207,100},{22208,100},{22209,100},{22210,100},{22220,100},{22230,100},{22240,100}}, {{800,1200}}, {{210,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1001"}]],
	[105014] = [[{105014, "五星凡品灵矿", 5, {21}, {{32,90}}, {{32,9}}, 1079680, {{22204,100},{22205,100},{22206,100},{22207,100},{22208,100},{22209,100},{22210,100},{22220,100},{22230,100},{22240,100}}, {{800,1200}}, {{210,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1001"}]],
	[105013] = [[{105013, "五星凡品灵矿", 5, {5}, {{32,90}}, {{32,9}}, 1079680, {{22204,100},{22205,100},{22206,100},{22207,100},{22208,100},{22209,100},{22210,100},{22220,100},{22230,100},{22240,100}}, {{800,1200}}, {{210,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1001"}]],
	[105012] = [[{105012, "五星凡品灵矿", 5, {3}, {{32,90}}, {{32,9}}, 1079680, {{22204,100},{22205,100},{22206,100},{22207,100},{22208,100},{22209,100},{22210,100},{22220,100},{22230,100},{22240,100}}, {{800,1200}}, {{210,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1001"}]],
	[105011] = [[{105011, "五星凡品灵矿", 5, {1}, {{32,90}}, {{32,9}}, 1079680, {{22204,100},{22205,100},{22206,100},{22207,100},{22208,100},{22209,100},{22210,100},{22220,100},{22230,100},{22240,100}}, {{800,1200}}, {{210,0,0}}, "灵矿守护者", 720, {{1,180000}}, {{3,15}}, "1001"}]],
	[104031] = [[{104031, "四星极品灵矿", 4, {13}, {{32,160}}, {{32,16}}, 1128995, {{22196,100},{22197,100},{22198,100},{22199,100},{22200,100},{22201,100},{22202,100}}, {{800,1200}}, {{220,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1003"}]],
	[104023] = [[{104023, "四星良品灵矿", 4, {18}, {{32,130}}, {{32,13}}, 714720, {{22166,100},{22167,100},{22168,100},{22169,100},{22170,100},{22171,100},{22172,100},{22173,100}}, {{800,1200}}, {{200,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1002"}]],
	[104022] = [[{104022, "四星良品灵矿", 4, {9}, {{32,130}}, {{32,13}}, 714720, {{22166,100},{22167,100},{22168,100},{22169,100},{22170,100},{22171,100},{22172,100},{22173,100}}, {{800,1200}}, {{200,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1002"}]],
	[104021] = [[{104021, "四星良品灵矿", 4, {7}, {{32,130}}, {{32,13}}, 714720, {{22166,100},{22167,100},{22168,100},{22169,100},{22170,100},{22171,100},{22172,100},{22173,100}}, {{800,1200}}, {{200,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1002"}]],
	[104015] = [[{104015, "四星凡品灵矿", 4, {25}, {{32,80}}, {{32,8}}, 464670, {{22153,100},{22154,100},{22155,100},{22156,100},{22157,100},{22158,100},{22159,100},{22160,100}}, {{800,1200}}, {{175,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1001"}]],
	[104014] = [[{104014, "四星凡品灵矿", 4, {21}, {{32,80}}, {{32,8}}, 464670, {{22153,100},{22154,100},{22155,100},{22156,100},{22157,100},{22158,100},{22159,100},{22160,100}}, {{800,1200}}, {{175,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1001"}]],
	[104013] = [[{104013, "四星凡品灵矿", 4, {5}, {{32,80}}, {{32,8}}, 464670, {{22153,100},{22154,100},{22155,100},{22156,100},{22157,100},{22158,100},{22159,100},{22160,100}}, {{800,1200}}, {{175,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1001"}]],
	[104012] = [[{104012, "四星凡品灵矿", 4, {3}, {{32,80}}, {{32,8}}, 464670, {{22153,100},{22154,100},{22155,100},{22156,100},{22157,100},{22158,100},{22159,100},{22160,100}}, {{800,1200}}, {{175,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1001"}]],
	[104011] = [[{104011, "四星凡品灵矿", 4, {1}, {{32,80}}, {{32,8}}, 464670, {{22153,100},{22154,100},{22155,100},{22156,100},{22157,100},{22158,100},{22159,100},{22160,100}}, {{800,1200}}, {{175,0,0}}, "灵矿守护者", 720, {{1,160000}}, {{3,15}}, "1001"}]],
	[103031] = [[{103031, "三星极品灵矿", 3, {13}, {{32,140}}, {{32,14}}, 477185, {{22146,100},{22147,100},{22148,100},{22149,100},{22150,100},{22151,100}}, {{800,1200}}, {{180,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1003"}]],
	[103023] = [[{103023, "三星良品灵矿", 3, {18}, {{32,110}}, {{32,11}}, 344115, {{22114,100},{22115,100},{22116,100},{22117,100},{22118,100},{22119,100},{22120,100},{22121,100}}, {{800,1200}}, {{165,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1002"}]],
	[103022] = [[{103022, "三星良品灵矿", 3, {9}, {{32,110}}, {{32,11}}, 344115, {{22114,100},{22115,100},{22116,100},{22117,100},{22118,100},{22119,100},{22120,100},{22121,100}}, {{800,1200}}, {{165,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1002"}]],
	[103021] = [[{103021, "三星良品灵矿", 3, {7}, {{32,110}}, {{32,11}}, 344115, {{22114,100},{22115,100},{22116,100},{22117,100},{22118,100},{22119,100},{22120,100},{22121,100}}, {{800,1200}}, {{165,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1002"}]],
	[103015] = [[{103015, "三星凡品灵矿", 3, {25}, {{32,70}}, {{32,7}}, 227395, {{22102,100},{22103,100},{22104,100},{22105,100},{22106,100},{22107,100},{22108,100},{22109,100},{22110,100}}, {{800,1200}}, {{145,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1001"}]],
	[103014] = [[{103014, "三星凡品灵矿", 3, {21}, {{32,70}}, {{32,7}}, 227395, {{22102,100},{22103,100},{22104,100},{22105,100},{22106,100},{22107,100},{22108,100},{22109,100},{22110,100}}, {{800,1200}}, {{145,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1001"}]],
	[103013] = [[{103013, "三星凡品灵矿", 3, {5}, {{32,70}}, {{32,7}}, 227395, {{22102,100},{22103,100},{22104,100},{22105,100},{22106,100},{22107,100},{22108,100},{22109,100},{22110,100}}, {{800,1200}}, {{145,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1001"}]],
	[103012] = [[{103012, "三星凡品灵矿", 3, {3}, {{32,70}}, {{32,7}}, 227395, {{22102,100},{22103,100},{22104,100},{22105,100},{22106,100},{22107,100},{22108,100},{22109,100},{22110,100}}, {{800,1200}}, {{145,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1001"}]],
	[103011] = [[{103011, "三星凡品灵矿", 3, {1}, {{32,70}}, {{32,7}}, 227395, {{22102,100},{22103,100},{22104,100},{22105,100},{22106,100},{22107,100},{22108,100},{22109,100},{22110,100}}, {{800,1200}}, {{145,0,0}}, "灵矿守护者", 720, {{1,140000}}, {{3,15}}, "1001"}]],
	[102031] = [[{102031, "二星极品灵矿", 2, {13}, {{32,120}}, {{32,12}}, 205505, {{22094,100},{22095,100},{22096,100},{22097,100},{22098,100},{22099,100},{22100,100}}, {{800,1200}}, {{140,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1003"}]],
	[102023] = [[{102023, "二星良品灵矿", 2, {18}, {{32,90}}, {{32,9}}, 184060, {{22065,100},{22066,100},{22067,100},{22068,100},{22069,100},{22070,100},{22071,100},{22072,100},{22073,100}}, {{800,1200}}, {{125,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1002"}]],
	[102022] = [[{102022, "二星良品灵矿", 2, {9}, {{32,90}}, {{32,9}}, 184060, {{22065,100},{22066,100},{22067,100},{22068,100},{22069,100},{22070,100},{22071,100},{22072,100},{22073,100}}, {{800,1200}}, {{125,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1002"}]],
	[102021] = [[{102021, "二星良品灵矿", 2, {7}, {{32,90}}, {{32,9}}, 184060, {{22065,100},{22066,100},{22067,100},{22068,100},{22069,100},{22070,100},{22071,100},{22072,100},{22073,100}}, {{800,1200}}, {{125,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1002"}]],
	[102015] = [[{102015, "二星凡品灵矿", 2, {25}, {{32,60}}, {{32,6}}, 155595, {{22052,100},{22053,100},{22054,100},{22055,100},{22056,100},{22057,100},{22058,100},{22059,100},{22060,100}}, {{800,1200}}, {{110,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1001"}]],
	[102014] = [[{102014, "二星凡品灵矿", 2, {21}, {{32,60}}, {{32,6}}, 155595, {{22052,100},{22053,100},{22054,100},{22055,100},{22056,100},{22057,100},{22058,100},{22059,100},{22060,100}}, {{800,1200}}, {{110,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1001"}]],
	[102013] = [[{102013, "二星凡品灵矿", 2, {5}, {{32,60}}, {{32,6}}, 155595, {{22052,100},{22053,100},{22054,100},{22055,100},{22056,100},{22057,100},{22058,100},{22059,100},{22060,100}}, {{800,1200}}, {{110,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1001"}]],
	[102012] = [[{102012, "二星凡品灵矿", 2, {3}, {{32,60}}, {{32,6}}, 155595, {{22052,100},{22053,100},{22054,100},{22055,100},{22056,100},{22057,100},{22058,100},{22059,100},{22060,100}}, {{800,1200}}, {{110,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1001"}]],
	[102011] = [[{102011, "二星凡品灵矿", 2, {1}, {{32,60}}, {{32,6}}, 155595, {{22052,100},{22053,100},{22054,100},{22055,100},{22056,100},{22057,100},{22058,100},{22059,100},{22060,100}}, {{800,1200}}, {{110,0,0}}, "灵矿守护者", 720, {{1,110000}}, {{3,15}}, "1001"}]],
	[101031] = [[{101031, "一星极品灵矿", 1, {13}, {{32,100}}, {{32,10}}, 104750, {{22044,100},{22045,100},{22046,100},{22047,100},{22048,100},{22049,100},{22050,100},{22051,100}}, {{800,1200}}, {{100,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1003"}]],
	[101023] = [[{101023, "一星良品灵矿", 1, {18}, {{32,70}}, {{32,7}}, 87300, {{22014,100},{22015,100},{22016,100},{22017,100},{22018,100},{22019,100},{22020,100},{22021,100},{22022,100},{22023,100}}, {{800,1200}}, {{90,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1002"}]],
	[101022] = [[{101022, "一星良品灵矿", 1, {9}, {{32,70}}, {{32,7}}, 87300, {{22014,100},{22015,100},{22016,100},{22017,100},{22018,100},{22019,100},{22020,100},{22021,100},{22022,100},{22023,100}}, {{800,1200}}, {{90,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1002"}]],
	[101021] = [[{101021, "一星良品灵矿", 1, {7}, {{32,70}}, {{32,7}}, 87300, {{22014,100},{22015,100},{22016,100},{22017,100},{22018,100},{22019,100},{22020,100},{22021,100},{22022,100},{22023,100}}, {{800,1200}}, {{90,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1002"}]],
	[101015] = [[{101015, "一星凡品灵矿", 1, {25}, {{32,50}}, {{32,5}}, 68945, {{22001,100},{22002,100},{22003,100},{22004,100},{22005,100},{22006,100},{22007,100},{22008,100},{22009,100},{22010,100},{22011,100},{22012,100},{22013,100}}, {{800,1200}}, {{80,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1001"}]],
	[101014] = [[{101014, "一星凡品灵矿", 1, {21}, {{32,50}}, {{32,5}}, 68945, {{22001,100},{22002,100},{22003,100},{22004,100},{22005,100},{22006,100},{22007,100},{22008,100},{22009,100},{22010,100},{22011,100},{22012,100},{22013,100}}, {{800,1200}}, {{80,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1001"}]],
	[101013] = [[{101013, "一星凡品灵矿", 1, {5}, {{32,50}}, {{32,5}}, 68945, {{22001,100},{22002,100},{22003,100},{22004,100},{22005,100},{22006,100},{22007,100},{22008,100},{22009,100},{22010,100},{22011,100},{22012,100},{22013,100}}, {{800,1200}}, {{80,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1001"}]],
	[101012] = [[{101012, "一星凡品灵矿", 1, {3}, {{32,50}}, {{32,5}}, 68945, {{22001,100},{22002,100},{22003,100},{22004,100},{22005,100},{22006,100},{22007,100},{22008,100},{22009,100},{22010,100},{22011,100},{22012,100},{22013,100}}, {{800,1200}}, {{80,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1001"}]],
	[101011] = [[{101011, "一星凡品灵矿", 1, {1}, {{32,50}}, {{32,5}}, 68945, {{22001,100},{22002,100},{22003,100},{22004,100},{22005,100},{22006,100},{22007,100},{22008,100},{22009,100},{22010,100},{22011,100},{22012,100},{22013,100}}, {{800,1200}}, {{80,0,0}}, "灵矿守护者", 720, {{1,90000}}, {{3,15}}, "1001"}]]
}
-- -------------------mine_data_end---------------------


-- -------------------box_reward_start-------------------
Config.AdventureMineData.data_box_reward_length = 4
Config.AdventureMineData.data_box_reward = {
{num=3, items={{32,500}}, effect_id=109},
{num=5, items={{32,1000}}, effect_id=108},
{num=8, items={{32,1500},{29905,2}}, effect_id=110},
{num=12, items={{32,2000},{10403,1}}, effect_id=110}
}
-- -------------------box_reward_end---------------------


-- -------------------attenuation_reward_start-------------------
Config.AdventureMineData.data_attenuation_reward_length = 10
Config.AdventureMineData.data_attenuation_reward = {
	[0] = {dec_rate=0},
	[10] = {dec_rate=0},
	[20] = {dec_rate=0},
	[30] = {dec_rate=200},
	[40] = {dec_rate=300},
	[50] = {dec_rate=400},
	[60] = {dec_rate=500},
	[70] = {dec_rate=600},
	[80] = {dec_rate=700},
	[90] = {dec_rate=800}
}
Config.AdventureMineData.data_attenuation_reward_fun = function(key)
	local data=Config.AdventureMineData.data_attenuation_reward[key]
	if DATA_DEBUG and data == nil then
		print('(Config.AdventureMineData.data_attenuation_reward['..key..'])not found') return
	end
	return data
end
-- -------------------attenuation_reward_end---------------------


-- -------------------mine_unlock_info_start-------------------
Config.AdventureMineData.data_mine_unlock_info_length = 3
Config.AdventureMineData.data_mine_unlock_info = {
	[1] = {id=1, open_cond={}},
	[2] = {id=2, open_cond={{'lev',100}}},
	[3] = {id=3, open_cond={{'vip',6}}}
}
Config.AdventureMineData.data_mine_unlock_info_fun = function(key)
	local data=Config.AdventureMineData.data_mine_unlock_info[key]
	if DATA_DEBUG and data == nil then
		print('(Config.AdventureMineData.data_mine_unlock_info['..key..'])not found') return
	end
	return data
end
-- -------------------mine_unlock_info_end---------------------


-- -------------------explain_start-------------------
Config.AdventureMineData.data_explain_length = 4
Config.AdventureMineData.data_explain = {
	[1] = {id=1, title="基础规则", desc="1.水晶秘境共有十层，分别位于神界冒险的<div fontcolor=289b14>整10层</div>区域，每层都有着一定数量的可由玩家占领的灵矿，玩家占领灵矿后，灵矿会持续产出可用来进行神器精炼的<div fontcolor=289b14>烈阳晶石</div>。\n2.灵矿的守卫分为NPC守卫和玩家守卫，玩家击败守卫后可掠夺该矿点一定的资源同时可以选择派遣英雄占领该矿点，一名玩家最多只能同时占领<div fontcolor=289b14>3</div>个灵矿，单个灵矿在不易主的情况下最多只能被掠夺<div fontcolor=289b14>3</div>次。\n3.此玩法为跨服玩法，玩家可与<div fontcolor=289b14>跨服时空</div>中其他服的玩家共同争夺占领灵矿。\n4.玩家可通过传送门选择跳转到不同层数的秘境或是继续进行冒险。\n"},
	[2] = {id=2, title="产出奖励", desc="1.灵矿的星级与品质越高，奖励越丰厚，攻占等级过低的灵矿会有着一定的奖励衰减。\n2.每个灵矿的最大可开采时间为<div fontcolor=289b14>12</div>小时，12小时过后，占领结束，灵矿变由NPC占领，同时占领期间的奖励将会通过邮件发放给玩家。玩家也可以选择雇佣矿工来延长可开采时间。\n"},
	[3] = {id=3, title="灵矿重置", desc="1.水晶秘境同神界冒险同步进行重置，之前占领的奖励会通过邮件发放给玩家，重置之后的灵矿全部由NPC占领。\n2.每轮冒险开放期间，每名玩家有<div fontcolor=289b14>5</div>次免费挑战次数。"},
	[4] = {id=4, title="匹配规则", desc="1.水晶秘境根据玩家战力将实力相近的玩家匹配到同一组，同一组的玩家共同参与争夺同一批灵矿。\n"}
}
Config.AdventureMineData.data_explain_fun = function(key)
	local data=Config.AdventureMineData.data_explain[key]
	if DATA_DEBUG and data == nil then
		print('(Config.AdventureMineData.data_explain['..key..'])not found') return
	end
	return data
end
-- -------------------explain_end---------------------
